Package com.io7m.coffeepick.api

# Class CoffeePickCatalogEventRuntimeDownloading.Builder

java.lang.Object
com.io7m.coffeepick.api.CoffeePickCatalogEventRuntimeDownloading.Builder

Enclosing class:
  CoffeePickCatalogEventRuntimeDownloading

    public static final class CoffeePickCatalogEventRuntimeDownloading.Builder
    extends java.lang.Object

Builds instances of type `CoffeePickCatalogEventRuntimeDownloading`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CoffeePickCatalogEventRuntimeDownloading` | `build()` | Builds a new `CoffeePickCatalogEventRuntimeDownloading`.
  `CoffeePickCatalogEventRuntimeDownloading.Builder` | `from​(CoffeePickCatalogEventRuntimeDownloadingType instance)` | Fill a builder with attribute values from the provided `CoffeePickCatalogEventRuntimeDownloadingType` instance.
  `CoffeePickCatalogEventRuntimeDownloading.Builder` | `setExpected​(long expected)` | Initializes the value for the `expected` attribute.
  `CoffeePickCatalogEventRuntimeDownloading.Builder` | `setId​(java.lang.String id)` | Initializes the value for the `id` attribute.
  `CoffeePickCatalogEventRuntimeDownloading.Builder` | `setOctetsPerSecond​(double octetsPerSecond)` | Initializes the value for the `octetsPerSecond` attribute.
  `CoffeePickCatalogEventRuntimeDownloading.Builder` | `setReceived​(long received)` | Initializes the value for the `received` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final CoffeePickCatalogEventRuntimeDownloading.Builder from​(CoffeePickCatalogEventRuntimeDownloadingType instance)
    Fill a builder with attribute values from the provided `CoffeePickCatalogEventRuntimeDownloadingType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setId

    public final CoffeePickCatalogEventRuntimeDownloading.Builder setId​(java.lang.String id)
    Initializes the value for the `id` attribute.
    Parameters:
      `id` - The value for id
    Returns:
      `this` builder for use in a chained invocation

  - ### setOctetsPerSecond

    public final CoffeePickCatalogEventRuntimeDownloading.Builder setOctetsPerSecond​(double octetsPerSecond)
    Initializes the value for the `octetsPerSecond` attribute.
    Parameters:
      `octetsPerSecond` - The value for octetsPerSecond
    Returns:
      `this` builder for use in a chained invocation

  - ### setExpected

    public final CoffeePickCatalogEventRuntimeDownloading.Builder setExpected​(long expected)
    Initializes the value for the `expected` attribute.
    Parameters:
      `expected` - The value for expected
    Returns:
      `this` builder for use in a chained invocation

  - ### setReceived

    public final CoffeePickCatalogEventRuntimeDownloading.Builder setReceived​(long received)
    Initializes the value for the `received` attribute.
    Parameters:
      `received` - The value for received
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public CoffeePickCatalogEventRuntimeDownloading build()
    Builds a new `CoffeePickCatalogEventRuntimeDownloading`.
    Returns:
      An immutable instance of CoffeePickCatalogEventRuntimeDownloading
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing